DISPDATA_ASSOCIATE_DATA_OBJECT(3)

EXPERIMENTAL_FUNC
dispdata_associate_data_object - Associate a named object with a data object.

SYNOPSIS
#include <karma_dispdata.h>

void dispdata_associate_data_object

(KDisplayDataObject dataobject, CONST char *name, void (*destroy_func) (void *object), void *object)

DESCRIPTION
Associate a named object with a data object.

dataobject
    The KDisplayDataObject.

name
    The name of the associated data object. The contents are copied.

destroy_func
    The function that is called when <-dataobect-> is destroyed.

object
    The object pointer.

RETURN VALUE
Nothing. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/